import { Injectable } from '@angular/core';
import { DEService } from '@global/service/de/DEService';

/**
 * BXD实体服务类
 *
 * @export
 * @class BXDService
 */
@Injectable({ providedIn: 'root' })
export class BXDService extends DEService {
    
    /**
     * 获取数据api地址
     *
     * @returns {string}
     * @memberof BXDService
     */
    public getApi(): string {
        return './assets/datas/bxd.json';
    }

    /**
     * 删除数据api地址
     *
     * @returns {string}
     * @memberof BXDService
     */
    public removeApi(): string {
        return '';
    }

    /**
     * 获取实体名称
     *
     * @returns {string}
     * @memberof BXDService
     */
    public getName(): string {
        return 'bxd';
    }
}
