import { NgZorroAntdModule } from 'ng-zorro-antd';
import { RouterModule } from '@angular/router';
import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { GridModule } from '@widgets/bxd/main-grid/main-grid.module';
import { SearchFormModule } from '@widgets/bxd/default-searchform/default-searchform.module';
import { BXDEditViewModule } from '@pages/test/bxdedit-view/bxdedit-view.module';
import { BXDGridViewPage } from './bxdgrid-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: '',
        component: BXDGridViewPage,
        data: { name: 'test_bxdgridview' }
      }
    ])
  ],
  exports: [ RouterModule ]
})
export class BXDGridViewRouteModule {}

@NgModule({
  imports: [
    NgZorroAntdModule,
    CommonModule,
    FormsModule,
    ShareModule,
    BXDGridViewRouteModule,
    GridModule,
    SearchFormModule,
    BXDEditViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [BXDGridViewPage],
  entryComponents: [BXDGridViewPage],
  exports: [BXDGridViewPage]
})
export class BXDGridViewModule {}
