import { Injectable } from '@angular/core';


/**
 * GRID部件模型
 * 
 * @export
 * @class MainGridMode
 */
@Injectable({ providedIn: 'root' })
export class MainGridMode {

    /**
     * 构造方法
     * @memberof MainGridMode
     */
    constructor() {
        
    }


	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'bxdname',
				prop: 'bxdname',
				dataType: 'TEXT',
			},
			{
				name: 'updateman',
				prop: 'updateman',
				dataType: 'TEXT',
			},
			{
				name: 'updatedate',
				prop: 'updatedate',
				dataType: 'DATETIME',
			},
			{
				name: 'srfmajortext',
				prop: 'bxdname',
				dataType: 'TEXT',
			},
			{
				name: 'srfdataaccaction',
				prop: 'bxdid',
				dataType: 'GUID',
			},
			{
				name: 'srfkey',
				prop: 'bxdid',
				dataType: 'GUID',
			},
		]
	}

	/**
	 * 获取编辑项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getEditItems(): any[] {
		return [
			{
				name: 'srfkey',
				prop: 'bxdid',
				dataType: 'GUID',
			},
		]
	}

}

